package structs

type ContentChild struct {
	Id             string `json:"id"`
	Type           string `json:"type"`
	Name           string `json:"name"`
	CreateTime     int    `json:"createTime"`
	Size           int    `json:"size"`
	DownloadCount  int    `json:"downloadCount"`
	Md5            string `json:"md5"`
	Mimetype       string `json:"mimetype"`
	ServerSelected string `json:"serverSelected"`
	Link           string `json:"link"`
	Thumbnail      string `json:"thumbnail"`
}

type Content struct {
	Status string `json:"status"`
	Data   struct {
		Id                 string                  `json:"id"`
		Type               string                  `json:"type"`
		Name               string                  `json:"name"`
		ParentFolder       string                  `json:"parentFolder"`
		Code               string                  `json:"code"`
		CreateTime         int                     `json:"createTime"`
		Public             bool                    `json:"public"`
		TotalDownloadCount int                     `json:"totalDownloadCount"`
		TotalSize          int                     `json:"totalSize"`
		ChildrenIds        []string                `json:"childrenIds"`
		Children           map[string]ContentChild `json:"children"`
	} `json:"data"`
}
